<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Message&lt; DATA_TYPE, ID_TYPE &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classMessage.html#a9f969486b4146319e66d95ebbdbe9dae">content</a></td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMessage.html#a57f18c305ece6cd53c0c02e08309a546">getContent</a>()</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMessage.html#ac8f4ffba278ab0e5d29820dc82872d6a">getRcvr</a>()</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMessage.html#ac9e7b0ec82d4c408ced91f34e44b3e8d">getSender</a>()</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMessage.html#a436d435e1a8bac5f8e127c3e1f164623">maxContent</a>(CMessages &amp;newMessage)</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMessage.html#a7f00f7cf0526458792330a60979db9f1">Message</a>()</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMessage.html#a607c353c056c6359ab048b7bdb8ec9ba">Message</a>(ID_TYPE &amp;tx, ID_TYPE &amp;rx, DATA_TYPE &amp;messContent)</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMessage.html#a6356c7503304f26b38f819f64b10fbbb">minContent</a>(CMessages &amp;newMessage)</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMessage.html#a357e66838738d2e656066406920a0262">pack</a>(uint8_t *buf)</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMessage.html#a1e01d44a1fcd11eeeeb2166b8f772708">rcvr</a></td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMessage.html#a38d01ce6162b8e6ecf2dab14f0d72e5b">sender</a></td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMessage.html#ab7355583d37391bd699f3fca47073281">setContent</a>(DATA_TYPE &amp;newContent)</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMessage.html#a03cd1893fc75256c319cba7d850f0dcd">setMessage</a>(ID_TYPE &amp;tx, ID_TYPE &amp;rx, DATA_TYPE &amp;messContent)</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMessage.html#a38c93c3a1da92bd20e0a8f166c30b6b7">setMessage</a>(CMessages &amp;newMessage)</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMessage.html#a2ed0c8d3abb07af98fd67362fffaacec">sizeInBytes</a>()</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMessage.html#a3ddf04f2e6372501e0077170387d1723">sumContent</a>(DATA_TYPE &amp;newContent)</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMessage.html#ae23c04781f95e7c740d89861ebbca56d">unpack</a>(uint8_t *buf)</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMessage.html#a7998fabc85b28edae541ca123b293e40">~Message</a>()</td><td class="entry"><a class="el" href="classMessage.html">Message&lt; DATA_TYPE, ID_TYPE &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Mar 3 2015 18:10:44 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
